import water as w
import sonar as s
import matplotlib.pyplot as plt

water = w.Water(T=2)
[s_left, s_right] = water.gen_echo(r=800, phi=30)

plt.plot(s_left)
plt.plot(s_right)
plt.show()

sonar = s.Sonar(T=2)
[r,phi,df] = water.gen_echo(s_left, s_right)

print(r, phi, df)


